Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Interface DatumAuthorityFactory

All Superinterfaces:
  AuthorityFactory, Factory

    @UML(identifier="CS_CoordinateSystemAuthorityFactory",
         specification=OGC_01009)
    public interface DatumAuthorityFactory

extends AuthorityFactory

Creates datum objects using authority codes. External authorities are used to manage definitions of objects used in this interface. The definitions of these objects are referenced using code strings. A commonly used authority is EPSG, which is also used in the GeoTIFF standard.

Since:
  GeoAPI 1.0
Version:
  Implementation specification 1.0
See Also:
  `CSAuthorityFactory`, `CRSAuthorityFactory`

Method Summary
`Datum` | `createDatum(String code)` Returns an arbitrary datum from a code.
`Ellipsoid` | `createEllipsoid(String code)` Returns an ellipsoid from a code.
`EngineeringDatum` | `createEngineeringDatum(String code)` Creates a engineering datum from a code.
`GeodeticDatum` | `createGeodeticDatum(String code)` Returns a geodetic datum from a code.
`ImageDatum` | `createImageDatum(String code)` Creates a image datum from a code.
`PrimeMeridian` | `createPrimeMeridian(String code)` Returns a prime meridian from a code.
`TemporalDatum` | `createTemporalDatum(String code)` Creates a temporal datum from a code.
`VerticalDatum` | `createVerticalDatum(String code)` Creates a vertical datum from a code.

Methods inherited from interface AuthorityFactory
`createObject, getAuthority, getAuthorityCodes, getDescriptionText`

Methods inherited from interface Factory
`getVendor`

Method Detail

### createDatum

    Datum createDatum(String code)
                      throws FactoryException

  Returns an arbitrary datum from a code. If the datum type is know at compile time, it is recommended to invoke the most precise method instead of this one (for example `createGeodeticDatum(code)` instead of `createDatum(code)` if the caller know he is asking for a geodetic datum).

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `createGeodeticDatum(java.lang.String)`, `createVerticalDatum(java.lang.String)`, `createTemporalDatum(java.lang.String)`

### createEngineeringDatum

    EngineeringDatum createEngineeringDatum(String code)
                                            throws FactoryException

  Creates a engineering datum from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `CRSAuthorityFactory.createEngineeringCRS(java.lang.String)`

### createImageDatum

    ImageDatum createImageDatum(String code)
                                throws FactoryException

  Creates a image datum from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `CRSAuthorityFactory.createImageCRS(java.lang.String)`

### createVerticalDatum

    @UML(identifier="createVerticalDatum",
         specification=OGC_01009)
    VerticalDatum createVerticalDatum(String code)
                                      throws FactoryException

  Creates a vertical datum from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `CRSAuthorityFactory.createVerticalCRS(java.lang.String)`

### createTemporalDatum

    TemporalDatum createTemporalDatum(String code)
                                      throws FactoryException

  Creates a temporal datum from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `CRSAuthorityFactory.createTemporalCRS(java.lang.String)`

### createGeodeticDatum

    @UML(identifier="createHorizontalDatum",
         specification=OGC_01009)
    GeodeticDatum createGeodeticDatum(String code)
                                      throws FactoryException

  Returns a geodetic datum from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `createEllipsoid(java.lang.String)`, `createPrimeMeridian(java.lang.String)`, `CRSAuthorityFactory.createGeographicCRS(java.lang.String)`, `CRSAuthorityFactory.createProjectedCRS(java.lang.String)`

### createEllipsoid

    @UML(identifier="createEllipsoid",
         specification=OGC_01009)
    Ellipsoid createEllipsoid(String code)
                              throws FactoryException

  Returns an ellipsoid from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `createGeodeticDatum(java.lang.String)`

### createPrimeMeridian

    @UML(identifier="createPrimeMeridian",
         specification=OGC_01009)
    PrimeMeridian createPrimeMeridian(String code)
                                      throws FactoryException

  Returns a prime meridian from a code.

  Parameters:
    `code` - Value allocated by authority.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.
  See Also:
    `createGeodeticDatum(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.